# XMLNotationDecl Class Reference

This class represents the core information about a notation declaration that all validators must at least support. More...

Inheritance diagram for XMLNotationDecl:

List of all members.

## Public Member Functions

XMLSize_t | getId () const
const XMLCh * | getName () const
const XMLCh * | getPublicId () const
const XMLCh * | getSystemId () const
const XMLCh * | getBaseURI () const
unsigned int | getNameSpaceId () const
MemoryManager * | getMemoryManager () const
void | setId (const XMLSize_t newId)
void | setName (const XMLCh *const notName)
void | setPublicId (const XMLCh *const newId)
void | setSystemId (const XMLCh *const newId)
void | setBaseURI (const XMLCh *const newId)
void | setNameSpaceId (const unsigned int newId)
const XMLCh * | getKey () const
Constructors
| XMLNotationDecl (MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
| XMLNotationDecl (const XMLCh *const notName, const XMLCh *const pubId, const XMLCh *const sysId, const XMLCh *const baseURI=0, MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
Destructor
| ~XMLNotationDecl ()

## Detailed Description

This class represents the core information about a notation declaration that all validators must at least support.

Each validator will create a derivative of this class which adds any information it requires for its own extra needs.

At this common level, the information supported is the notation name and the public and sysetm ids indicated in the notation declaration.

## Constructor & Destructor Documentation

XMLNotationDecl::XMLNotationDecl | ( | MemoryManager *const | manager = `XMLPlatformUtils::fgMemoryManager` | ) |

XMLNotationDecl::XMLNotationDecl | ( | const XMLCh *const | notName,
|  | const XMLCh *const | pubId,
|  | const XMLCh *const | sysId,
|  | const XMLCh *const | baseURI = `0`,
|  | MemoryManager *const | manager = `XMLPlatformUtils::fgMemoryManager` |
| ) |  |  |

XMLNotationDecl::~XMLNotationDecl | ( |  | ) |

## Member Function Documentation

XMLSize_t XMLNotationDecl::getId | ( |  | ) | const

const XMLCh * XMLNotationDecl::getName | ( |  | ) | const

const XMLCh * XMLNotationDecl::getPublicId | ( |  | ) | const

const XMLCh * XMLNotationDecl::getSystemId | ( |  | ) | const

const XMLCh * XMLNotationDecl::getBaseURI | ( |  | ) | const

unsigned int XMLNotationDecl::getNameSpaceId | ( |  | ) | const

MemoryManager * XMLNotationDecl::getMemoryManager | ( |  | ) | const

void XMLNotationDecl::setId | ( | const XMLSize_t | newId | ) |

void XMLNotationDecl::setName | ( | const XMLCh *const | notName | ) |

void XMLNotationDecl::setPublicId | ( | const XMLCh *const | newId | ) |

References MemoryManager::deallocate(), and XMLString::replicate().

void XMLNotationDecl::setSystemId | ( | const XMLCh *const | newId | ) |

References MemoryManager::deallocate(), and XMLString::replicate().

void XMLNotationDecl::setBaseURI | ( | const XMLCh *const | newId | ) |

References MemoryManager::deallocate(), and XMLString::replicate().

void XMLNotationDecl::setNameSpaceId | ( | const unsigned int | newId | ) |

const XMLCh * XMLNotationDecl::getKey | ( |  | ) | const

The documentation for this class was generated from the following file:

- XMLNotationDecl.hpp